
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <meta http-equiv="X-UA-Compatible" content="IE=Edge" />
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <title>Code Documentation &#8212; Ocular Thermal Analyzer 2019 documentation</title>
    <link rel="stylesheet" href="_static/alabaster.css" type="text/css" />
    <link rel="stylesheet" href="_static/pygments.css" type="text/css" />
    <script type="text/javascript" id="documentation_options" data-url_root="./" src="_static/documentation_options.js"></script>
    <script type="text/javascript" src="_static/jquery.js"></script>
    <script type="text/javascript" src="_static/underscore.js"></script>
    <script type="text/javascript" src="_static/doctools.js"></script>
    <link rel="index" title="Index" href="genindex.html" />
    <link rel="search" title="Search" href="search.html" />
    <link rel="prev" title="Ocular Thermal Analyzer Sofware" href="index.html" />
   
  <link rel="stylesheet" href="_static/custom.css" type="text/css" />
  
  
  <meta name="viewport" content="width=device-width, initial-scale=0.9, maximum-scale=0.9" />

  </head><body>
  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          

          <div class="body" role="main">
            
  <div class="section" id="code-documentation">
<h1>Code Documentation<a class="headerlink" href="#code-documentation" title="Permalink to this headline">¶</a></h1>
<div class="topic">
<p class="topic-title first">GUI Development</p>
<p>The classes in this part are dedicated to GUI implementation</p>
</div>
<dl class="class">
<dt id="ocular_thermal_SW_doc_v1.Label">
<em class="property">class </em><code class="descclassname">ocular_thermal_SW_doc_v1.</code><code class="descname">Label</code><span class="sig-paren">(</span><em>parent=None</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/ocular_thermal_SW_doc_v1.html#Label"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#ocular_thermal_SW_doc_v1.Label" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <code class="xref py py-class docutils literal notranslate"><span class="pre">PyQt5.QtWidgets.QLabel</span></code></p>
<p>This class is derived from QLabel for overloading paintEvent</p>
<dl class="method">
<dt id="ocular_thermal_SW_doc_v1.Label.__init__">
<code class="descname">__init__</code><span class="sig-paren">(</span><em>parent=None</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/ocular_thermal_SW_doc_v1.html#Label.__init__"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#ocular_thermal_SW_doc_v1.Label.__init__" title="Permalink to this definition">¶</a></dt>
<dd><p>Class constructor</p>
</dd></dl>

<dl class="method">
<dt id="ocular_thermal_SW_doc_v1.Label.paintEvent">
<code class="descname">paintEvent</code><span class="sig-paren">(</span><em>event</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/ocular_thermal_SW_doc_v1.html#Label.paintEvent"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#ocular_thermal_SW_doc_v1.Label.paintEvent" title="Permalink to this definition">¶</a></dt>
<dd><p>Overloaded paint event function</p>
</dd></dl>

</dd></dl>

<div class="line-block">
<div class="line"><br /></div>
</div>
<dl class="class">
<dt id="ocular_thermal_SW_doc_v1.RoiPoly">
<em class="property">class </em><code class="descclassname">ocular_thermal_SW_doc_v1.</code><code class="descname">RoiPoly</code><span class="sig-paren">(</span><em>fig=None</em>, <em>ax=None</em>, <em>color='b'</em>, <em>roicolor=None</em>, <em>show_fig=True</em>, <em>img=None</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/ocular_thermal_SW_doc_v1.html#RoiPoly"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#ocular_thermal_SW_doc_v1.RoiPoly" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <a class="reference external" href="https://docs.python.org/3/library/functions.html#object" title="(in Python v3.7)"><code class="xref py py-class docutils literal notranslate"><span class="pre">object</span></code></a></p>
<p>This class is for interactive drawing of polygon ROI with mouse click events</p>
<dl class="method">
<dt id="ocular_thermal_SW_doc_v1.RoiPoly._RoiPoly__button_press_callback">
<code class="descname">_RoiPoly__button_press_callback</code><span class="sig-paren">(</span><em>event</em><span class="sig-paren">)</span><a class="headerlink" href="#ocular_thermal_SW_doc_v1.RoiPoly._RoiPoly__button_press_callback" title="Permalink to this definition">¶</a></dt>
<dd><p>Callback function for mouse press event</p>
</dd></dl>

<dl class="method">
<dt id="ocular_thermal_SW_doc_v1.RoiPoly._RoiPoly__motion_notify_callback">
<code class="descname">_RoiPoly__motion_notify_callback</code><span class="sig-paren">(</span><em>event</em><span class="sig-paren">)</span><a class="headerlink" href="#ocular_thermal_SW_doc_v1.RoiPoly._RoiPoly__motion_notify_callback" title="Permalink to this definition">¶</a></dt>
<dd><p>The callback function for mouse notify event</p>
</dd></dl>

<dl class="method">
<dt id="ocular_thermal_SW_doc_v1.RoiPoly.__init__">
<code class="descname">__init__</code><span class="sig-paren">(</span><em>fig=None</em>, <em>ax=None</em>, <em>color='b'</em>, <em>roicolor=None</em>, <em>show_fig=True</em>, <em>img=None</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/ocular_thermal_SW_doc_v1.html#RoiPoly.__init__"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#ocular_thermal_SW_doc_v1.RoiPoly.__init__" title="Permalink to this definition">¶</a></dt>
<dd><p>Class constructor</p>
</dd></dl>

<dl class="attribute">
<dt id="ocular_thermal_SW_doc_v1.RoiPoly.__weakref__">
<code class="descname">__weakref__</code><a class="headerlink" href="#ocular_thermal_SW_doc_v1.RoiPoly.__weakref__" title="Permalink to this definition">¶</a></dt>
<dd><p>list of weak references to the object (if defined)</p>
</dd></dl>

<dl class="method">
<dt id="ocular_thermal_SW_doc_v1.RoiPoly.get_mask">
<code class="descname">get_mask</code><span class="sig-paren">(</span><em>current_image</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/ocular_thermal_SW_doc_v1.html#RoiPoly.get_mask"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#ocular_thermal_SW_doc_v1.RoiPoly.get_mask" title="Permalink to this definition">¶</a></dt>
<dd><p>create the mask based on the point coordinates saved in x &amp; y
Apply it on the image</p>
<table class="docutils field-list" frame="void" rules="none">
<col class="field-name" />
<col class="field-body" />
<tbody valign="top">
<tr class="field-odd field"><th class="field-name">Returns:</th><td class="field-body">a boolean matrix, set to 1 in ROI and zero other parts</td>
</tr>
<tr class="field-even field"><th class="field-name">Return type:</th><td class="field-body">grid</td>
</tr>
</tbody>
</table>
</dd></dl>

</dd></dl>

<div class="line-block">
<div class="line"><br /></div>
</div>
<dl class="class">
<dt id="ocular_thermal_SW_doc_v1.ThermAnalyzerWin">
<em class="property">class </em><code class="descclassname">ocular_thermal_SW_doc_v1.</code><code class="descname">ThermAnalyzerWin</code><a class="reference internal" href="_modules/ocular_thermal_SW_doc_v1.html#ThermAnalyzerWin"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#ocular_thermal_SW_doc_v1.ThermAnalyzerWin" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <code class="xref py py-class docutils literal notranslate"><span class="pre">PyQt5.QtWidgets.QMainWindow</span></code></p>
<p>This class is the main window on which the top menu bar and ThermAnalyzer(QWidget) sit</p>
<dl class="method">
<dt id="ocular_thermal_SW_doc_v1.ThermAnalyzerWin.__init__">
<code class="descname">__init__</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="_modules/ocular_thermal_SW_doc_v1.html#ThermAnalyzerWin.__init__"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#ocular_thermal_SW_doc_v1.ThermAnalyzerWin.__init__" title="Permalink to this definition">¶</a></dt>
<dd><p>Class constructor</p>
</dd></dl>

<dl class="method">
<dt id="ocular_thermal_SW_doc_v1.ThermAnalyzerWin.about_sw">
<code class="descname">about_sw</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="_modules/ocular_thermal_SW_doc_v1.html#ThermAnalyzerWin.about_sw"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#ocular_thermal_SW_doc_v1.ThermAnalyzerWin.about_sw" title="Permalink to this definition">¶</a></dt>
<dd><p>This function is called when the user clicks About-&gt;About</p>
</dd></dl>

<dl class="method">
<dt id="ocular_thermal_SW_doc_v1.ThermAnalyzerWin.open_data">
<code class="descname">open_data</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="_modules/ocular_thermal_SW_doc_v1.html#ThermAnalyzerWin.open_data"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#ocular_thermal_SW_doc_v1.ThermAnalyzerWin.open_data" title="Permalink to this definition">¶</a></dt>
<dd><p>This function is called when the user clicks File-&gt;Open Data</p>
</dd></dl>

<dl class="method">
<dt id="ocular_thermal_SW_doc_v1.ThermAnalyzerWin.setup">
<code class="descname">setup</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="_modules/ocular_thermal_SW_doc_v1.html#ThermAnalyzerWin.setup"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#ocular_thermal_SW_doc_v1.ThermAnalyzerWin.setup" title="Permalink to this definition">¶</a></dt>
<dd><p>Setup function to initilize the main window, menu bar and the items in each menu element</p>
</dd></dl>

</dd></dl>

<div class="line-block">
<div class="line"><br /></div>
</div>
<dl class="class">
<dt id="ocular_thermal_SW_doc_v1.AboutSW">
<em class="property">class </em><code class="descclassname">ocular_thermal_SW_doc_v1.</code><code class="descname">AboutSW</code><a class="reference internal" href="_modules/ocular_thermal_SW_doc_v1.html#AboutSW"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#ocular_thermal_SW_doc_v1.AboutSW" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <code class="xref py py-class docutils literal notranslate"><span class="pre">PyQt5.QtWidgets.QDialog</span></code></p>
<p>This class shows Software information in About &gt; About menu</p>
<dl class="method">
<dt id="ocular_thermal_SW_doc_v1.AboutSW.__init__">
<code class="descname">__init__</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="_modules/ocular_thermal_SW_doc_v1.html#AboutSW.__init__"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#ocular_thermal_SW_doc_v1.AboutSW.__init__" title="Permalink to this definition">¶</a></dt>
<dd><p>Initialize self.  See help(type(self)) for accurate signature.</p>
</dd></dl>

<dl class="method">
<dt id="ocular_thermal_SW_doc_v1.AboutSW.show_menu">
<code class="descname">show_menu</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="_modules/ocular_thermal_SW_doc_v1.html#AboutSW.show_menu"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#ocular_thermal_SW_doc_v1.AboutSW.show_menu" title="Permalink to this definition">¶</a></dt>
<dd><p>This function shows the “About Software” Window</p>
</dd></dl>

</dd></dl>

<div class="line-block">
<div class="line"><br /></div>
</div>
<dl class="class">
<dt id="ocular_thermal_SW_doc_v1.ThermAnalyzer">
<em class="property">class </em><code class="descclassname">ocular_thermal_SW_doc_v1.</code><code class="descname">ThermAnalyzer</code><a class="reference internal" href="_modules/ocular_thermal_SW_doc_v1.html#ThermAnalyzer"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#ocular_thermal_SW_doc_v1.ThermAnalyzer" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <code class="xref py py-class docutils literal notranslate"><span class="pre">PyQt5.QtWidgets.QWidget</span></code></p>
<p>This class defines the GUI elements placed on the main GUI windows &amp;
related function calls based on user input</p>
<dl class="method">
<dt id="ocular_thermal_SW_doc_v1.ThermAnalyzer.ROI_select">
<code class="descname">ROI_select</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="_modules/ocular_thermal_SW_doc_v1.html#ThermAnalyzer.ROI_select"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#ocular_thermal_SW_doc_v1.ThermAnalyzer.ROI_select" title="Permalink to this definition">¶</a></dt>
<dd><p>Apply mask on CSV frames based on the mask created by user</p>
</dd></dl>

<dl class="method">
<dt id="ocular_thermal_SW_doc_v1.ThermAnalyzer.__init__">
<code class="descname">__init__</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="_modules/ocular_thermal_SW_doc_v1.html#ThermAnalyzer.__init__"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#ocular_thermal_SW_doc_v1.ThermAnalyzer.__init__" title="Permalink to this definition">¶</a></dt>
<dd><p>Class constructor</p>
</dd></dl>

<dl class="method">
<dt id="ocular_thermal_SW_doc_v1.ThermAnalyzer.contour_anim">
<code class="descname">contour_anim</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="_modules/ocular_thermal_SW_doc_v1.html#ThermAnalyzer.contour_anim"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#ocular_thermal_SW_doc_v1.ThermAnalyzer.contour_anim" title="Permalink to this definition">¶</a></dt>
<dd><p>This function is called when the user clicks on “Contour visualisation” Button</p>
</dd></dl>

<dl class="method">
<dt id="ocular_thermal_SW_doc_v1.ThermAnalyzer.contour_plot">
<code class="descname">contour_plot</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="_modules/ocular_thermal_SW_doc_v1.html#ThermAnalyzer.contour_plot"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#ocular_thermal_SW_doc_v1.ThermAnalyzer.contour_plot" title="Permalink to this definition">¶</a></dt>
<dd><p>This function is called when the user clicks on “Contour snapshot” Button</p>
</dd></dl>

<dl class="method">
<dt id="ocular_thermal_SW_doc_v1.ThermAnalyzer.initUI">
<code class="descname">initUI</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="_modules/ocular_thermal_SW_doc_v1.html#ThermAnalyzer.initUI"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#ocular_thermal_SW_doc_v1.ThermAnalyzer.initUI" title="Permalink to this definition">¶</a></dt>
<dd><p>Initialization function regarding all GUI elements and layouts</p>
</dd></dl>

<dl class="method">
<dt id="ocular_thermal_SW_doc_v1.ThermAnalyzer.paintEvent">
<code class="descname">paintEvent</code><span class="sig-paren">(</span><em>self</em>, <em>QPaintEvent</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/ocular_thermal_SW_doc_v1.html#ThermAnalyzer.paintEvent"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#ocular_thermal_SW_doc_v1.ThermAnalyzer.paintEvent" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="ocular_thermal_SW_doc_v1.ThermAnalyzer.show_IBI">
<code class="descname">show_IBI</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="_modules/ocular_thermal_SW_doc_v1.html#ThermAnalyzer.show_IBI"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#ocular_thermal_SW_doc_v1.ThermAnalyzer.show_IBI" title="Permalink to this definition">¶</a></dt>
<dd><p>This function is called when the user clicks on “Inter Blink Interval” Button</p>
</dd></dl>

<dl class="method">
<dt id="ocular_thermal_SW_doc_v1.ThermAnalyzer.show_blink_dur">
<code class="descname">show_blink_dur</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="_modules/ocular_thermal_SW_doc_v1.html#ThermAnalyzer.show_blink_dur"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#ocular_thermal_SW_doc_v1.ThermAnalyzer.show_blink_dur" title="Permalink to this definition">¶</a></dt>
<dd><p>This function is called when the user clicks on “Blink Duration” Button</p>
</dd></dl>

<dl class="method">
<dt id="ocular_thermal_SW_doc_v1.ThermAnalyzer.temp_plot">
<code class="descname">temp_plot</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="_modules/ocular_thermal_SW_doc_v1.html#ThermAnalyzer.temp_plot"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#ocular_thermal_SW_doc_v1.ThermAnalyzer.temp_plot" title="Permalink to this definition">¶</a></dt>
<dd><p>This function is called when the user clicks on “temperature profile” Button</p>
</dd></dl>

</dd></dl>

<div class="line-block">
<div class="line"><br /></div>
</div>
<div class="topic">
<p class="topic-title first">Thermal data &amp; Analysis</p>
<p>The class in this part is for savinng the thermal data and relevant time stamps. The methods cover different functionalities such as
calculation of blink interval and blink duration</p>
</div>
<dl class="class">
<dt id="ocular_thermal_SW_doc_v1.ThermalData">
<em class="property">class </em><code class="descclassname">ocular_thermal_SW_doc_v1.</code><code class="descname">ThermalData</code><a class="reference internal" href="_modules/ocular_thermal_SW_doc_v1.html#ThermalData"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#ocular_thermal_SW_doc_v1.ThermalData" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <a class="reference external" href="https://docs.python.org/3/library/functions.html#object" title="(in Python v3.7)"><code class="xref py py-class docutils literal notranslate"><span class="pre">object</span></code></a></p>
<p>This class saves Thermal data, time and related functions</p>
<dl class="attribute">
<dt id="ocular_thermal_SW_doc_v1.ThermalData.CSV_frms">
<code class="descname">CSV_frms</code><a class="headerlink" href="#ocular_thermal_SW_doc_v1.ThermalData.CSV_frms" title="Permalink to this definition">¶</a></dt>
<dd><p>list(list(float))
Temperature values in form of CSV files</p>
</dd></dl>

<dl class="attribute">
<dt id="ocular_thermal_SW_doc_v1.ThermalData.num_frms">
<code class="descname">num_frms</code><a class="headerlink" href="#ocular_thermal_SW_doc_v1.ThermalData.num_frms" title="Permalink to this definition">¶</a></dt>
<dd><p>int
The number of frames read from input</p>
</dd></dl>

<dl class="attribute">
<dt id="ocular_thermal_SW_doc_v1.ThermalData.time_frms">
<code class="descname">time_frms</code><a class="headerlink" href="#ocular_thermal_SW_doc_v1.ThermalData.time_frms" title="Permalink to this definition">¶</a></dt>
<dd><p>list(float)
The list containing relative time values</p>
</dd></dl>

<dl class="attribute">
<dt id="ocular_thermal_SW_doc_v1.ThermalData.roi_frms">
<code class="descname">roi_frms</code><a class="headerlink" href="#ocular_thermal_SW_doc_v1.ThermalData.roi_frms" title="Permalink to this definition">¶</a></dt>
<dd><p>list(list(float))
ROI frames over time</p>
</dd></dl>

<dl class="attribute">
<dt id="ocular_thermal_SW_doc_v1.ThermalData.temp_time">
<code class="descname">temp_time</code><a class="headerlink" href="#ocular_thermal_SW_doc_v1.ThermalData.temp_time" title="Permalink to this definition">¶</a></dt>
<dd><p>Dataframe containing mean temperature value &amp; time for all frames</p>
</dd></dl>

<dl class="method">
<dt id="ocular_thermal_SW_doc_v1.ThermalData.__init__">
<code class="descname">__init__</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="_modules/ocular_thermal_SW_doc_v1.html#ThermalData.__init__"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#ocular_thermal_SW_doc_v1.ThermalData.__init__" title="Permalink to this definition">¶</a></dt>
<dd><p>Class constructor</p>
</dd></dl>

<dl class="attribute">
<dt id="ocular_thermal_SW_doc_v1.ThermalData.__weakref__">
<code class="descname">__weakref__</code><a class="headerlink" href="#ocular_thermal_SW_doc_v1.ThermalData.__weakref__" title="Permalink to this definition">¶</a></dt>
<dd><p>list of weak references to the object (if defined)</p>
</dd></dl>

<dl class="method">
<dt id="ocular_thermal_SW_doc_v1.ThermalData.apply_mask">
<code class="descname">apply_mask</code><span class="sig-paren">(</span><em>img_mask</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/ocular_thermal_SW_doc_v1.html#ThermalData.apply_mask"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#ocular_thermal_SW_doc_v1.ThermalData.apply_mask" title="Permalink to this definition">¶</a></dt>
<dd><p>Apply ROI mask on CSV frames</p>
<table class="docutils field-list" frame="void" rules="none">
<col class="field-name" />
<col class="field-body" />
<tbody valign="top">
<tr class="field-odd field"><th class="field-name">Parameters:</th><td class="field-body"><strong>img_mask</strong> – the mask created by user input</td>
</tr>
<tr class="field-even field"><th class="field-name">Returns:</th><td class="field-body"><strong>ROI_frms</strong> – the array of temperature in ROI region</td>
</tr>
<tr class="field-odd field"><th class="field-name">Return type:</th><td class="field-body"><a class="reference external" href="https://docs.python.org/3/library/stdtypes.html#list" title="(in Python v3.7)">list</a>(<a class="reference external" href="https://docs.python.org/3/library/stdtypes.html#list" title="(in Python v3.7)">list</a>(<a class="reference external" href="https://docs.python.org/3/library/functions.html#float" title="(in Python v3.7)">float</a>))</td>
</tr>
</tbody>
</table>
</dd></dl>

<dl class="method">
<dt id="ocular_thermal_SW_doc_v1.ThermalData.calc_IBI">
<code class="descname">calc_IBI</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="_modules/ocular_thermal_SW_doc_v1.html#ThermalData.calc_IBI"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#ocular_thermal_SW_doc_v1.ThermalData.calc_IBI" title="Permalink to this definition">¶</a></dt>
<dd><p>calculate Inter Blink Interval, interval between two maximum temperature</p>
<table class="docutils field-list" frame="void" rules="none">
<col class="field-name" />
<col class="field-body" />
<tbody valign="top">
<tr class="field-odd field"><th class="field-name">Returns:</th><td class="field-body"><strong>IBI_val</strong> – The interBlink Interval value in seconds(s)</td>
</tr>
<tr class="field-even field"><th class="field-name">Return type:</th><td class="field-body"><a class="reference external" href="https://docs.python.org/3/library/functions.html#float" title="(in Python v3.7)">float</a></td>
</tr>
</tbody>
</table>
</dd></dl>

<dl class="method">
<dt id="ocular_thermal_SW_doc_v1.ThermalData.calc_blink_dur">
<code class="descname">calc_blink_dur</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="_modules/ocular_thermal_SW_doc_v1.html#ThermalData.calc_blink_dur"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#ocular_thermal_SW_doc_v1.ThermalData.calc_blink_dur" title="Permalink to this definition">¶</a></dt>
<dd><p>calculate Blink duration,  global_min - next_local_max</p>
<table class="docutils field-list" frame="void" rules="none">
<col class="field-name" />
<col class="field-body" />
<tbody valign="top">
<tr class="field-odd field"><th class="field-name">Returns:</th><td class="field-body"><strong>blink_dur</strong> – The blink duration in second(s)</td>
</tr>
<tr class="field-even field"><th class="field-name">Return type:</th><td class="field-body"><a class="reference external" href="https://docs.python.org/3/library/functions.html#float" title="(in Python v3.7)">float</a></td>
</tr>
</tbody>
</table>
</dd></dl>

<dl class="method">
<dt id="ocular_thermal_SW_doc_v1.ThermalData.mean_vals_temporal">
<code class="descname">mean_vals_temporal</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="_modules/ocular_thermal_SW_doc_v1.html#ThermalData.mean_vals_temporal"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#ocular_thermal_SW_doc_v1.ThermalData.mean_vals_temporal" title="Permalink to this definition">¶</a></dt>
<dd><p>calculate the mean value of temperature in ROI</p>
<table class="docutils field-list" frame="void" rules="none">
<col class="field-name" />
<col class="field-body" />
<tbody valign="top">
<tr class="field-odd field"><th class="field-name">Returns:</th><td class="field-body"><strong>mean_vals</strong> – mean values over time</td>
</tr>
<tr class="field-even field"><th class="field-name">Return type:</th><td class="field-body"><a class="reference external" href="https://docs.python.org/3/library/functions.html#float" title="(in Python v3.7)">float</a></td>
</tr>
</tbody>
</table>
</dd></dl>

</dd></dl>

<div class="topic">
<p class="topic-title first">Generic &amp; Utility functions</p>
<p>The method defined here are not class methods, but are used by other classes</p>
</div>
<dl class="function">
<dt id="ocular_thermal_SW_doc_v1.hms_to_seconds">
<code class="descclassname">ocular_thermal_SW_doc_v1.</code><code class="descname">hms_to_seconds</code><span class="sig-paren">(</span><em>t</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/ocular_thermal_SW_doc_v1.html#hms_to_seconds"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#ocular_thermal_SW_doc_v1.hms_to_seconds" title="Permalink to this definition">¶</a></dt>
<dd><p>Change h:m:s time format to seconds</p>
<table class="docutils field-list" frame="void" rules="none">
<col class="field-name" />
<col class="field-body" />
<tbody valign="top">
<tr class="field-odd field"><th class="field-name">Parameters:</th><td class="field-body"><strong>t</strong> (<a class="reference external" href="https://docs.python.org/3/library/stdtypes.html#list" title="(in Python v3.7)"><em>list</em></a><em>(</em><a class="reference external" href="https://docs.python.org/3/library/functions.html#int" title="(in Python v3.7)"><em>int</em></a><em>)</em>) – list of int values</td>
</tr>
<tr class="field-even field"><th class="field-name">Returns:</th><td class="field-body"><strong>time_val</strong> – time in seconds</td>
</tr>
<tr class="field-odd field"><th class="field-name">Return type:</th><td class="field-body"><a class="reference external" href="https://docs.python.org/3/library/functions.html#int" title="(in Python v3.7)">int</a></td>
</tr>
</tbody>
</table>
</dd></dl>

<dl class="function">
<dt id="ocular_thermal_SW_doc_v1.read_csv_files">
<code class="descclassname">ocular_thermal_SW_doc_v1.</code><code class="descname">read_csv_files</code><span class="sig-paren">(</span><em>file_path</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/ocular_thermal_SW_doc_v1.html#read_csv_files"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#ocular_thermal_SW_doc_v1.read_csv_files" title="Permalink to this definition">¶</a></dt>
<dd><p>Read temperature CSV files from input file path</p>
<table class="docutils field-list" frame="void" rules="none">
<col class="field-name" />
<col class="field-body" />
<tbody valign="top">
<tr class="field-odd field"><th class="field-name">Parameters:</th><td class="field-body"><strong>file_path</strong> (<a class="reference external" href="https://docs.python.org/3/library/stdtypes.html#str" title="(in Python v3.7)"><em>str</em></a>) – The input filepath to read the data</td>
</tr>
<tr class="field-even field"><th class="field-name">Returns:</th><td class="field-body"><ul class="simple">
<li><strong>CSV_frms</strong> (<em>list(float)</em>) – the array of temperature over time</li>
<li><strong>rel_time_frms</strong> (<em>array_like(int, ndim=1)</em>) – the array of timestaps read from headers of the files</li>
</ul>
</td>
</tr>
</tbody>
</table>
</dd></dl>

</div>


          </div>
          
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
<h1 class="logo"><a href="index.html">Ocular Thermal Analyzer</a></h1>








<h3>Navigation</h3>
<ul class="current">
<li class="toctree-l1 current"><a class="current reference internal" href="#">Code Documentation</a></li>
</ul>

<div class="relations">
<h3>Related Topics</h3>
<ul>
  <li><a href="index.html">Documentation overview</a><ul>
      <li>Previous: <a href="index.html" title="previous chapter">Ocular Thermal Analyzer Sofware</a></li>
  </ul></li>
</ul>
</div>
<div id="searchbox" style="display: none" role="search">
  <h3>Quick search</h3>
    <div class="searchformwrapper">
    <form class="search" action="search.html" method="get">
      <input type="text" name="q" />
      <input type="submit" value="Go" />
      <input type="hidden" name="check_keywords" value="yes" />
      <input type="hidden" name="area" value="default" />
    </form>
    </div>
</div>
<script type="text/javascript">$('#searchbox').show(0);</script>








        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="footer">
      &copy;2019, Maryam.
      
      |
      Powered by <a href="http://sphinx-doc.org/">Sphinx 1.8.2</a>
      &amp; <a href="https://github.com/bitprophet/alabaster">Alabaster 0.7.12</a>
      
      |
      <a href="_sources/code1.rst.txt"
          rel="nofollow">Page source</a>
    </div>

    

    
  </body>
</html>